Bug 54009 - gnome-terminal font selection broken
gnome-terminal font selection broken
Product: Red Hat Linux
Classification: Retired
Component: gtk+ (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-09-25 10:28 EDT by Pedro Miguel Marques Morais
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-12 17:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pedro Miguel Marques Morais 2001-09-25 10:28:08 EDT
Description of Problem:

gnome-terminal font selection dialog does not work, i.e, the font change
does not take effect

How Reproducible:

on start, prints the following on the console:
-----------------cut here-------------------
Gdk-WARNING **: Missing charsets in FontSet creation
Gdk-WARNING **:     ISO8859-1
--------------cut here-------------------------

LANG was declare -x LANG="pt_PT.ISO-8859-1"  but it occurs after changing
to C.
Comment 1 Havoc Pennington 2002-02-26 11:27:43 EST
You're probably choosing a font with the wrong encoding. If you uncheck "enable
multibyte support" it will let you choose a font with an encoding that doesn't
match the locale. 

I don't want to fix this in GNOME 1.x, except possibly to improve the error
message GTK prints when this happens since it's reported so often.
 Ideally GTK would print "font encoding is foo but locale encoding is bar,
unable to load font" or something like that. I don't know if GTK has enough info
to do that.
Comment 2 Owen Taylor 2002-04-12 17:51:33 EDT
gtk+-1.2.10-13 (now building) has improved warnings.

Note You need to log in before you can comment on or make changes to this bug.